Subject: RE: [Tsvwg] End point and association Address conflict

From: "Balani, Sandeep" <[email-masked]>
Date: Fri, 26 Apr 2002 09:39:05 -0700

Hi All, 
  My comments inline... 

-sandeep  

-----Original Message-----
From: Randall Stewart [mailto:[email-masked]]
Sent: Friday, April 26, 2002 6:31 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: [Tsvwg] End point and association Address conflict

[email-masked] wrote:
> 
>         Hi Sandeep!
> 
>         See my comment inline...
> 
> > hi all,
> >
> > My comments inline,
> >
> >
> >       Randy, see my comment inline...
> >
> > > [email-masked] wrote:
> > > >
> > > >         Hi all!
> > > >
> > > >         Well, now I realized that I had a somehow different
> > > view about what was a legal addition... thanks for your comments.
> > > >
> > > >         Now I have another doubt... Imagine that we have an
> > > endpoint E1 with addresses IPa, IPb and port 1. We have an
> > > association A1 that only uses IPa, whose peer is IPz and port
> > > 65535. Thus the association A1 can be represented as [(IPa;
> > > Port1), (IPz; Port 65535)]. What happens now if we receive an
> > > INIT from IPz/65535 directed to IPb/1?
> > >
> > > A question...
> > >
> > > Why did you not include IPb in the INIT or INIT-ACK that
> > setup A1. You
> > > are
> > > supposed to tell the peer of all your addresses that are
> > bound to your
> > > endpoint. I think this is the big flaw in your question..
> >
> >       I did, but later on I deleted it using the AddIP
> > extension... :-) So
> > now I don't use it anymore...
> >
> > [ sandeep ] I think this is very interesting proble :-)
> >  What i think we can do is When u are doing DELETEIP for IPb, If no
> > association is using IPb as source address we should remover IPb from
> > Endpoint E1. This way we will not have any such problem.
> >
> > What do u think ????
> 
>         No, I don't think this is a good solution... Remember that there
can be >many associations in that endpoint, and that they might be using IPb
as A1 did >>once... I don't think you can erase that address from the
endpoint...

Hmm.. maybe the real solution is you MUST NOT use the DELETE unless
you are also deleting it from the endpoint.

So... if you do a DELETE IP-B you MUST first delete it from the
endpoint. Then you MAY delete it from any association... ones you
don't delete it from will have to have a variant list of addresses
that it has ...

That way everything still works for those that DO NOT delete IP-B and
your problem goes away...

Of course your problem STILL exists when you HOT-PLUG in a card
and have an existing association and NO ADD-IP extension...

[ Sandeep ]   Can we delete an IP address from an Endpoint first & then
delete It from Association. According  to the procedure, Between the time we
have send ASCONF( Delete IPb) & the time we receive ASCONF-ACK(Delete IPb)
we should accept all packets destined to IPb ????

Also deleting an IP address from an Endpoint means, Deleting it from
multiple associations simultaneously ( Or One-By-One ) , What if on One
association  this DeleteIP procedure fails ??? 

This may be prevented if We can put such recommendation which Randall
indicated in earlier mail, I.e. DELETEIP procedure is only recommended in
cases when NIC card assocaited with that Ip address is actually going down.
In that case we have to remove IP address from  Association & Endpoint .

I am really not sure whether the statment I made in previous mail should be
assumed TRUE/Correct  : "  An Association Can Use SUBSET of IP Addresses
from its Endpoint ". 

What do u guys think ??????  

R
-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Randall Stewart <[email-masked]>
Date: Fri, 26 Apr 2002 11:44:59 -0500

> we should accept all packets destined to IPb ????

I would think it would be ok.. remember the Endpoint is only
used for basic things like new assocaitions... the actual
"what addresses are in the association" can be kept in association
specific instances...

> association  this DeleteIP procedure fails ???

Well.. I don't see an issue.. so you are stuck with a deleted IP address
in your assocaition. 

A) Chances are you won't receive packets on it (since it is off the
   machine).

B) If it is NOT off the machine your code STILL should work in that
   it had better be keeping a list of addresses on the association that
   are valid... (when there is a deviant case such as this).

> In that case we have to remove IP address from  Association & Endpoint .

Yes.. but you still can end up with a IP address stuck in your
association if the peer does not do ADD-IP.. 

> What do u guys think ??????

I think you CAN do this but it WILL cause you grief.. if by using
a subset you are saying making a decision that I am NOT going
to include IP-C in my address list (even though it is reachable
and should have normally been included).

R